Anzeige des Warenkorbs

Hallo, also irgendwie fehlt mir hier nen Bug-Bereich, wo man so manches ablegen kann. Kann aber auch sein, das ich einfach zu hinüber für bin und es nimmer versteh. Irgendwie lässt sich nach einer “frischen” Installation der Warenkorb nicht öffnen? /engine/core/class/sAdmin.php # 2274 | ‘Unsupported operand types’ Bei mir ist $cache[$country][“shippingfree”] nen Array :wink: Viele Grüße Thomas

Hab gleich noch einen “Bug”: Bei der mySQL-Version 5.0.51a gehen in der Funktion sCheckBasketQuantities die 2 SQL-Abfragen schief… Viele Grüße Thomas

Moin! [quote=“TSchenk”] Irgendwie lässt sich nach einer “frischen” Installation der Warenkorb nicht öffnen? /engine/core/class/sAdmin.php # 2274 | ‘Unsupported operand types’ Bei mir ist $cache[$country][“shippingfree”] nen Array :wink: [/quote] Tritt bei mir auch auf. So lässt sich das Shopsystem natürlich nicht benutzen. Gibts dafür ne Lösung? Und Tschüss.

Hallo, ja gibt es. (siehe http://www.shopware-community.de/viewtopic.php?f=9&t=198&start=20) Die Lösung ist recht einfach. Du nutzt sicherlich ein Debian Lenny mit der PHP-Version 5.2.6. Einfach die PHP-Version über http://www.dotdeb.org/ auf die Version 5.2.14 Updaten und schon funktioniert es :wink: Viele Grüße Thomas

1 Like

Moin! [quote=“TSchenk”] ja gibt es. (siehe http://www.shopware-community.de/viewtopic.php?f=9&t=198&start=20) Die Lösung ist recht einfach. Du nutzt sicherlich ein Debian Lenny mit der PHP-Version 5.2.6. [/quote] Ganz genau. Werde ich kurzfristig updaten. Danke für den Tipp. Gruß und Tschüss.

Hi Thomas, gibt es keine andere Möglichkeit den Fehler zu beheben? Gruss Danny

Hi Danny, hmm schwierig. Man könnte das ganze selber in den PHP-Dateien fixen. Ich weiß zumindestens das es an einer Stelle auftritt, aber in Ordnung ist da auf keinen Fall, denn es passiert dann, das du beim Bestellprozess für Name Vorname usw, einfach überall „Array“ drin stehen hast. Also die beste Möglichkeit ist schon ein Update der PHP-Version. Viele Grüße Thomas